Bug 39921 - Russian dictionary needs a proper numbers handling
Summary: Russian dictionary needs a proper numbers handling
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.4.1 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Dictionaries
  Show dependency treegraph
 
Reported: 2011-08-08 04:03 UTC by Urmas
Modified: 2018-10-19 20:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Urmas 2011-08-08 04:03:31 UTC
Please patch the russian dictionary to handle digital numbers properly (as English one, for example). This is the VERY common mistakes source.

The rules are as follows:

[0-9]+-й
[0-9]+-го
[0-9]+-му
[0-9]+-м
[0-9]+-я
[0-9]+-ю
[0-9]+-е
[0-9]*[^1]3-и
3-и
[0-9]+-х
[0-9]+-ми

The original dictionary maintainers apparently have no desire to move beyound the basic ispell functionality.
Comment 1 Andras Timar 2011-09-01 02:34:28 UTC
Could you please make this patch yourself and test it?
Comment 2 Urmas 2011-09-01 09:42:45 UTC
No, I don't understand how all that hunspell compound staff works.
Comment 3 Björn Michaelsen 2011-12-23 12:22:50 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2015-01-05 17:51:45 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2016-01-17 20:03:33 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-03-06 14:10:13 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.5 or 5.3.0  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170306